<bugID>393466<Summary>Modal dialogue stripped and presented in new Window after session restore</Summary><Description>Created attachment 277960
Modal Before

FFx Version:
Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.9a8pre) Gecko/2007081704
Minefield/3.0a8pre

In Reference to Bug 393343 and 391777.  After quitting the browser and
restoring the session (to break modal dialogue hang), the previously hung 
modal dialogue is stripped off the original Yahoo Mail page and is 
presented in a new browser window See Attached image "New Close Window".  
This seems odd.  

See Modal Before and Model After images</Description></bugID>